
%global meadversion 0.12.0
%global namedversion 0.12.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%{?scl:%scl_package thrift} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 0.12.0.redhat-00001

Name:		    %{?scl_prefix}thrift
Summary:	    Apache Thrift
Version:	    %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source100: libthrift-0.12.0.redhat-00001-project-sources.tar.gz
Source102: libthrift-0.12.0.redhat-00001-sources.jar
Source103: libthrift-0.12.0.redhat-00001.jar
Source104: libthrift-0.12.0.redhat-00001.pom
Source105: libthrift-0.12.0.redhat-00001-javadoc.jar
%endif

License:        ASL 2.0
URL:            http://www.jcraft.com/thrift/
Epoch:          0

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
Thrift is a software framework for scalable cross-language services development.

%if %with javadoc
%package javadoc
Summary:        Javadoc for thrift
Group:          Development/Java


%description javadoc
Javadoc for thrift
%endif

%prep

%setup -q -n libthrift-%{namedversion} -T -b 100

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

#jars
%{__cp} -p %{_sourcedir}/libthrift-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/libthrift-%{namedversion}-sources.jar %{buildroot}%{_javadir}

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

#javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/thrift-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/thrift-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/thrift-%{namedversion} -x META-INF/\*
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s thrift-%{namedversion} thrift)
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md

%{_javadir}/libthrift-%{namedversion}.jar
%{_javadir}/libthrift.jar
%{_javadir}/libthrift-%{namedversion}-sources.jar
%{_javadir}/libthrift-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/thrift
%{_javadocdir}/thrift-%{namedversion}
%endif

%changelog
* Thu Jun 20 2019 Yong Yang <yyang@redhat.com> - 0.12.0-1.redhat_00001.1
- RPM wrapper build

* Tue Sep 25 2018 Permaine Cheung <pcheung@redhat.com> - 0.11.0-2.redhat_00006.1
- Rewrap

* Tue Sep 25 2018 Permaine Cheung <pcheung@redhat.com> - 0.11.0-2.redhat_00006.1
- Rewrap

* Fri Sep 21 2018 Permaine Cheung <pcheung@redhat.com> - 0.11.0-2.redhat_00006.1
- Rewrap

* Fri Sep 21 2018 Permaine Cheung <pcheung@redhat.com> - 0.11.0-2.redhat_00006.1
- Rewrap

* Mon Sep 10 2018 Yong Yang <yyang@redhat.com> - 0.11.0-1.redhat_00006.1
-  0.11.0.redhat-00006 

* Mon Sep 10 2018 Yong Yang <yyang@redhat.com> - 0.11.0-1.redhat_00006.1
-  0.11.0.redhat-00006 

* Mon Sep 10 2018 Yong Yang <yyang@redhat.com> - 0.11.0-1.redhat_00006.1
-  0.11.0.redhat-00006 

* Mon Sep 10 2018 Yong Yang <yyang@redhat.com> - 0.11.0
- Init build
